Package com.verisign.epp.codec.maintenance.v1_0

## Enum EPPMaintenanceInfoResp.InfoType

- java.lang.Object
- - java.lang.Enum<EPPMaintenanceInfoResp.InfoType>
  - - com.verisign.epp.codec.maintenance.v1_0.EPPMaintenanceInfoResp.InfoType

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<EPPMaintenanceInfoResp.InfoType>`
  Enclosing class:
    EPPMaintenanceInfoResp

      public static enum EPPMaintenanceInfoResp.InfoType
      extends java.lang.Enum<EPPMaintenanceInfoResp.InfoType>

  The type of the info response, which is either the details of an individual maintenance with `maintenance` of a list of maintenance items with `list`.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `list` |
    `maintenance` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static EPPMaintenanceInfoResp.InfoType` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static EPPMaintenanceInfoResp.InfoType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### list

          public static final EPPMaintenanceInfoResp.InfoType list

    - #### maintenance

          public static final EPPMaintenanceInfoResp.InfoType maintenance

  - ### Method Detail

    - #### values

          public static EPPMaintenanceInfoResp.InfoType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EPPMaintenanceInfoResp.InfoType c : EPPMaintenanceInfoResp.InfoType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EPPMaintenanceInfoResp.InfoType valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null